{ config, pkgs, ... }:

let
  unstable = import <nixos-unstable> { config = config.nixpkgs.config; };
in
{
  users.users.wroclaw = {
    isNormalUser = true;
    description = "Rafał";
    group = "wroclaw";
    extraGroups = [
      "users"
      "wheel"
      (if config.programs.adb.enable then "adbusers" else null)
    ];
    linger = true;
    # Initial password for the account
    password = "nixos";
    packages = with pkgs; [
      firefox
      vivaldi
      discord-canary
      unstable.vscode
    ];
  };
  users.groups.wroclaw.gid = 1000;

  services.syncthing = {
    enable = true;
    user = "wroclaw";
    group = "wroclaw";
    dataDir = "/home/wroclaw";
    configDir = "/home/wroclaw/.config/syncthing";
  };
}